Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1402277

Summary: CVE-2016-9913 CVE-2016-9914 CVE-2016-9915 CVE-2016-9916 Qemu: 9pfs: memory leakage via proxy/handle callbacks [fedora-all]
Product: [Fedora] Fedora Reporter: Prasad Pandit <ppandit>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 25CC: amit.shah, berrange, cfergeau, crobinso, dwmw2, itamar, pbonzini, rjones, virt-maint
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-2.7.1-2.fc25 qemu-2.6.2-6.fc24 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-20 18:04:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1402276    

Description Prasad Pandit 2016-12-07 07:36:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Prasad Pandit 2016-12-07 07:36:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1402276,1402277

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Cole Robinson 2017-01-16 18:35:44 UTC
commit 4774718e5c194026ba5ee7a28d9be49be3080e42
Author: Li Qiang <liq3ea>
Date:   Wed Nov 23 13:53:34 2016 +0100

    9pfs: adjust the order of resource cleanup in device unrealize

commit 702dbcc274e2ca43be20ba64c758c0ca57dab91d
Author: Li Qiang <liq3ea>
Date:   Wed Nov 23 13:53:34 2016 +0100

    9pfs: add cleanup operation in FileOperations

commit 971f406b77a6eb84e0ad27dcc416b663765aee30
Author: Li Qiang <liq3ea>
Date:   Wed Nov 23 13:53:34 2016 +0100

    9pfs: add cleanup operation for handle backend driver

commit 898ae90a44551d25b8e956fd87372d303c82fe68
Author: Li Qiang <liq3ea>
Date:   Wed Nov 23 13:53:34 2016 +0100

    9pfs: add cleanup operation for proxy backend driver


And this fixes a bug in one of those commits:

commit f2b58c43758efc61e2a49b899f5e58848489d0dc
Author: Greg Kurz <groug>
Date:   Tue Jan 3 17:28:44 2017 +0100

    9pfs: fix crash when fsdev is missing

Comment 3 Fedora Update System 2017-01-17 00:06:36 UTC
qemu-2.6.2-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-12394e2cc7

Comment 4 Fedora Update System 2017-01-17 15:19:57 UTC
qemu-2.7.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b953d4d3a4

Comment 5 Fedora Update System 2017-01-17 21:53:05 UTC
qemu-2.6.2-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-12394e2cc7

Comment 6 Fedora Update System 2017-01-19 09:09:27 UTC
qemu-2.7.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b953d4d3a4

Comment 7 Fedora Update System 2017-01-20 18:04:10 UTC
qemu-2.7.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-25 20:22:03 UTC
qemu-2.6.2-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.